import { Component, ViewEncapsulation, Input, NgModule } from '@angular/core';
import { coerceBooleanProperty } from '@angular/cdk/coercion';
import { CommonModule } from '@angular/common';

var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtActionBarComponent = (function () {
    function NtActionBarComponent() {
    }
    NtActionBarComponent = __decorate([
        Component({
            selector: 'nt-action-bar',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-action-bar'
            }
        })
    ], NtActionBarComponent);
    return NtActionBarComponent;
}());

var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtActionIconComponent = (function () {
    function NtActionIconComponent() {
    }
    NtActionIconComponent = __decorate$1([
        Component({
            selector: 'nt-action-icon',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-action-icon'
            }
        })
    ], NtActionIconComponent);
    return NtActionIconComponent;
}());

var __decorate$2 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtActionButtonComponent = (function () {
    function NtActionButtonComponent() {
        this._circle = false;
    }
    Object.defineProperty(NtActionButtonComponent.prototype, "circle", {
        get: function () { return this._circle; },
        set: function (value) {
            this._circle = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate$2([
        Input()
    ], NtActionButtonComponent.prototype, "circle", null);
    NtActionButtonComponent = __decorate$2([
        Component({
            selector: 'nt-action-button',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-action-button',
                '[class.circle]': 'circle'
            }
        })
    ], NtActionButtonComponent);
    return NtActionButtonComponent;
}());

var __decorate$3 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtActionItemComponent = (function () {
    function NtActionItemComponent() {
    }
    NtActionItemComponent = __decorate$3([
        Component({
            selector: 'nt-action-item',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-action-item'
            }
        })
    ], NtActionItemComponent);
    return NtActionItemComponent;
}());

var __decorate$4 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelBodyComponent = (function () {
    function NtPanelBodyComponent() {
    }
    NtPanelBodyComponent = __decorate$4([
        Component({
            selector: 'nt-panel-body',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-body'
            }
        })
    ], NtPanelBodyComponent);
    return NtPanelBodyComponent;
}());

var __decorate$5 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelFooterComponent = (function () {
    function NtPanelFooterComponent() {
    }
    Object.defineProperty(NtPanelFooterComponent.prototype, "small", {
        get: function () { return this._small; },
        set: function (value) {
            this._small = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NtPanelFooterComponent.prototype, "large", {
        get: function () { return this._large; },
        set: function (value) {
            this._large = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate$5([
        Input()
    ], NtPanelFooterComponent.prototype, "small", null);
    __decorate$5([
        Input()
    ], NtPanelFooterComponent.prototype, "large", null);
    NtPanelFooterComponent = __decorate$5([
        Component({
            selector: 'nt-panel-footer',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-footer',
                '[class.small]': 'small',
                '[class.large]': 'large'
            }
        })
    ], NtPanelFooterComponent);
    return NtPanelFooterComponent;
}());

var __decorate$6 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelHeaderComponent = (function () {
    function NtPanelHeaderComponent() {
    }
    Object.defineProperty(NtPanelHeaderComponent.prototype, "small", {
        get: function () { return this._small; },
        set: function (value) {
            this._small = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(NtPanelHeaderComponent.prototype, "large", {
        get: function () { return this._large; },
        set: function (value) {
            this._large = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate$6([
        Input()
    ], NtPanelHeaderComponent.prototype, "small", null);
    __decorate$6([
        Input()
    ], NtPanelHeaderComponent.prototype, "large", null);
    NtPanelHeaderComponent = __decorate$6([
        Component({
            selector: 'nt-panel-header',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-header',
                '[class.small]': 'small',
                '[class.large]': 'large'
            }
        })
    ], NtPanelHeaderComponent);
    return NtPanelHeaderComponent;
}());

var __decorate$7 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelWrapperComponent = (function () {
    function NtPanelWrapperComponent() {
    }
    NtPanelWrapperComponent = __decorate$7([
        Component({
            selector: 'nt-panel-wrapper',
            template: "<ng-content select=\"nt-panel\"></ng-content>",
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel-wrapper'
            }
        })
    ], NtPanelWrapperComponent);
    return NtPanelWrapperComponent;
}());

var __decorate$8 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtPanelComponent = (function () {
    function NtPanelComponent() {
        this._shrink = false;
    }
    Object.defineProperty(NtPanelComponent.prototype, "shrink", {
        get: function () { return this._shrink; },
        set: function (value) {
            this._shrink = coerceBooleanProperty(value);
        },
        enumerable: true,
        configurable: true
    });
    __decorate$8([
        Input()
    ], NtPanelComponent.prototype, "shrink", null);
    NtPanelComponent = __decorate$8([
        Component({
            selector: 'nt-panel',
            template: "\n    <ng-content select=\"nt-panel-header\"></ng-content>\n    <ng-content select=\"nt-panel-body\"></ng-content>\n    <ng-content select=\"nt-panel-footer\"></ng-content>\n  ",
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-panel',
                '[class.nt-panel-shrink]': 'shrink'
            }
        })
    ], NtPanelComponent);
    return NtPanelComponent;
}());

var __decorate$9 = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtTabsBarItemComponent = (function () {
    function NtTabsBarItemComponent() {
    }
    NtTabsBarItemComponent = __decorate$9([
        Component({
            selector: 'nt-tabs-bar-item, [nt-tabs-bar-item]',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-tabs-bar-item'
            }
        })
    ], NtTabsBarItemComponent);
    return NtTabsBarItemComponent;
}());

var __decorate$a = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var NtTabsBarComponent = (function () {
    function NtTabsBarComponent() {
    }
    NtTabsBarComponent = __decorate$a([
        Component({
            selector: 'nt-tabs-bar',
            template: '<ng-content></ng-content>',
            encapsulation: ViewEncapsulation.None,
            host: {
                'class': 'nt-tabs-bar'
            }
        })
    ], NtTabsBarComponent);
    return NtTabsBarComponent;
}());

var __decorate$b = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var EXPORT_DECLARATIONS = [
    NtActionItemComponent,
    NtActionButtonComponent,
    NtActionIconComponent,
    NtActionBarComponent,
    NtPanelBodyComponent,
    NtPanelFooterComponent,
    NtPanelHeaderComponent,
    NtPanelWrapperComponent,
    NtPanelComponent,
    NtTabsBarItemComponent,
    NtTabsBarComponent,
];
var NtContainersModule = (function () {
    function NtContainersModule() {
    }
    NtContainersModule = __decorate$b([
        NgModule({
            imports: [CommonModule],
            exports: EXPORT_DECLARATIONS,
            declarations: EXPORT_DECLARATIONS,
        })
    ], NtContainersModule);
    return NtContainersModule;
}());

export { NtActionBarComponent, NtActionButtonComponent, NtActionIconComponent, NtActionItemComponent, NtContainersModule, NtPanelBodyComponent, NtPanelComponent, NtPanelFooterComponent, NtPanelHeaderComponent, NtPanelWrapperComponent, NtTabsBarComponent, NtTabsBarItemComponent };
//# sourceMappingURL=containers.js.map
